REST API call to assign a resolution option to an incident

Prev Next

You can assign or update a resolution ID to an incident of the specified incident nature.

PUT request URL

https://<epo_server_name:port>/rest/dlp/incidents/resolutions/{incidentId}?incidentNature={n}&resolutionId={n}

Where

  • epo_server_name:port is the server IP address and port number.

  • {incidentId} unique identifier of an incident for which the resolution needs to be set.

  • incidentNature={n} n can be 1, 2, or 3 for incidents of different data vectors (incident nature). Based on the value of n specified, resolution ID is set to an incident of the specified incident nature.

  • resolutionId={n} is the value of resolution ID that needs to be set for the specified incident.

Request Parameters

Parameter name

Description

Required

Values

Authorization

User credentials for ePO - On-prem.

Required

{incidentId}

Unique identifier of an incident

Required

Number

incidentNature={n}

Incidents generated for data-in-use/motion and data-at-rest can have the same incident IDs. Specify n to differentiate the incident nature. Based on the data vectors, {n} can be:

  • 1 = Retrieve incident details generated for data-in-use/motion

  • 2 = Reserved to retrieve data-at-rest - Endpoint Discovery incidents and can be used when support for Endpoint Discovery custom attributes is added into the product

  • 3 = Retrieve incident details generated for data-at-rest - Network

Required

Number

resolutionId

Unique ID that can be assigned to the specified incident, values can be 1 to 9.

Required

Number

In these sample requests, incident 17 generated for data-at-rest - Network is assigned with the resolution_id 2.

Sample PUT request URL

https://172.27.108.53:8443/rest/dlp/incidents/resolutions/17?incidentNature=3&resolutionId=2

Sample cURL command

curl -k -v -X PUT 'https://172.27.108.53:8443/rest/dlp/incidents/resolutions/17?incidentNature=3&resolutionId=2' -u '<user>:<password>'

Response parameters

Element

Description

Data type

Message

True in case of success. Reason for failure message in case of failure.

String

Sample response

{
true
}

Status and error codes

List of HTTP status codes returned for the query.

Code

Description

200 OK

Resolution added successfully to the specified incident ID.

400 Bad Request

  • incidentNature is missing or has a non-numeric value.

  • incidentId is missing or has non-numeric or non-existing value.

  • resolutionId is missing in payload or is not having a valid value as returned in get resolutions API.

404 Not Found

Incorrect ePO - On-prem URL.

500 Internal Server Error

An error on the server side that failed the request. See the ePO - On-prem orion.log file for more details about the error.